Bug 206140 - crond dies shortly after an ldap-user edited his crontab
crond dies shortly after an ldap-user edited his crontab
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 08:58 EDT by Oliver Voelker
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 04:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Voelker 2006-09-12 08:58:17 EDT
Description of problem:
crond dies silently after an ldap-user edited his crontab-file with the "crontab
-e" command and the job is executed for the first time.

Excerpt from the logfile /var/log/cron:
---snip---
Sep 12 09:33:15 de-edit2 crontab[12282]: (tinfot) BEGIN EDIT (tinfot)
Sep 12 09:33:18 de-edit2 crontab[12282]: (tinfot) REPLACE (tinfot)
Sep 12 09:33:18 de-edit2 crontab[12282]: (tinfot) END EDIT (tinfot)
Sep 12 09:34:01 de-edit2 crond[1673]: nss_ldap: reconnecting to LDAP server...
Sep 12 09:34:02 de-edit2 crond[1673]: nss_ldap: reconnected to LDAP server after
1 attempt(s)
Sep 12 09:34:02 de-edit2 crond[12308]: (tinfot) CMD
(/opt/tinfo/bin/copy_monitoring_data.sh)
Sep 12 10:06:38 de-edit2 crond[13413]: (CRON) STARTUP (V5.0)
---snip---


Version-Release number of selected component (if applicable):
vixie-cron-4.1-11.EL3

How reproducible:
every time

Steps to Reproduce:
1. setup ldap-login
2. login to your server
3. edit your cronjobs
4. wait, cron dies after first execution of the job

Actual results:
crond dies

Expected results:
crond lives happily and executes the jobs as we tell him

Additional info:
none
Comment 1 Marcela Mašláňová 2006-09-20 08:30:27 EDT
Should be OK in RHEL-5, I'll propose it for next release RHEL-3.
Comment 2 Mike McGrath 2006-10-10 09:31:33 EDT
Is there a workaround for this?
Comment 3 Marcela Mašláňová 2006-10-10 09:47:47 EDT
See #64379
ie. work-around: stop crond, start nscd if not already running, start crond.
Comment 4 Oliver Voelker 2006-10-23 05:05:53 EDT
will there be an update in the near future? we don't want to use the nscd here.
Comment 5 Marcela Mašláňová 2006-10-30 04:34:59 EST
This problem will be resolved in a future major release of Red Hat Enterprise 
Linux. Red Hat does not currently plan to provide a resolution for this in a 
Red Hat Enterprise Linux update for currently deployed systems.
Comment 6 Mike McGrath 2006-10-30 09:05:38 EST
So the issue exists, we know how to fix it but Red Hat is refusing to fix it for
a current, supported OS (RHEL-3)?
Comment 7 Jim Perrin 2006-10-30 09:16:31 EST
No problem. Given the recent news, I'm certain that if RH doesn't fix this
fairly major bug that Oracle would be happy to step up and provide support. 
Comment 8 Johnny Hughes 2006-10-30 09:22:55 EST
could you at least provide an SRPM and version where you fixed this so that
others can try to roll the fix into older versions?
Comment 9 Marcela Mašláňová 2006-10-31 03:32:41 EST
It's already fixed in higher version. 
SRPMs are on mirrors of RHEL-5/FC-5/FC-6. 
I recommend you to use higher version of vixie-cron with new features (4:4.1-58+).
Comment 10 Oliver Voelker 2006-10-31 03:49:40 EST
ok, great...

and please could you explain why you don't release an update for an supported OS
like RHEL3/4? 

Note You need to log in before you can comment on or make changes to this bug.